Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.filters.impl
Class NumericDecorationFilter

    java.lang.Object
      edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
          edu.uci.ics.jung.graph.filters.impl.NumericDecorationFilter

All Implemented Interfaces:
  Filter

public class NumericDecorationFilter
extends GeneralVertexAcceptFilter

This simple filter accepts vertices if their UserData at the given key is over a threshold value. Note that this depends on user data that is attached to the vertex.

Author:
  Scott White

Constructor Summary
`NumericDecorationFilter()`

Method Summary
`boolean` | `acceptVertex(Vertex vertex)`
`String` | `getDecorationKey()`
`String` | `getName()` Gets a name that describes this filter.
`double` | `getThreshold()`
`void` | `setDecorationKey(String decorationKey)`
`void` | `setThreshold(double threshold)`

Methods inherited from class edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
`filter, filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericDecorationFilter

    public NumericDecorationFilter()

Method Detail

### acceptVertex

    public boolean acceptVertex(Vertex vertex)

  Specified by:
    `acceptVertex` in class `GeneralVertexAcceptFilter`

### getName

    public String getName()

  Description copied from interface: `Filter`
  Gets a name that describes this filter. It is used by the auditing methods in ``GraphAssemblyRecord``

  Returns:
    A string that describes the filter.

### getDecorationKey

    public String getDecorationKey()

### setDecorationKey

    public void setDecorationKey(String decorationKey)

### getThreshold

    public double getThreshold()

### setThreshold

    public void setThreshold(double threshold)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD